=== debian/changelog ===
pdf-presenter-console (1.1.1-3ubuntu2) maverick; urgency=low

  * No-change rebuild against libpoppler7.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Tue, 14 Sep 2010 18:38:53 -0400

pdf-presenter-console (1.1.1-3ubuntu1) maverick; urgency=low

  * debian/patches/01_fix_undefinied_color_ftbfs.patch:
    - fix FTBFS with new Vala: use explicitely Gdk.Color
  * No other changeto build against current poppler library ABI.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 05 Aug 2010 13:07:58 +0200

pdf-presenter-console (1.1.1-3) unstable; urgency=low

  * Swizzle Vcs-* from upstream to debian collab-maint (debian/control)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:40 +0000

pdf-presenter-console (1.1.1-2) unstable; urgency=low

  * Man patch, thanks Joachim Breitner <nomeata@debian.org> (closes: #572354)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 04 Mar 2010 12:06:34 +0000

pdf-presenter-console (1.1.1-1) unstable; urgency=low

  * New upstream release
    - fixes build problem with valac 0.7.10

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 22 Feb 2010 14:47:46 +0000

pdf-presenter-console (1.1-1) unstable; urgency=low

  * Initial release (Closes: #567685)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 30 Jan 2010 16:40:33 +0100
