=== debian/watch ===
version=3
http://githubredir.debian.net/github/jakobwesthoff/Pdf-Presenter-Console .*/release-(.*).tar.gz
