## pdf-presenter-console 1.1.1+git.02dfcf

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,6 @@
 find_package(Vala)
 
 		
-ensure_vala_version("0.7.8" MINIMUM)
+ensure_vala_version("0.7.10" MINIMUM)
 
 add_subdirectory(src)
