=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pdf-presenter-console
 Section: graphics
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 7.2.5), valac (>= 0.7.8), cmake (>= 2.6.3), libgtk2.0-dev (>= 2.18.3), libpoppler-glib-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://westhoffswelt.de/projects/pdf_presenter_console.html
 Vcs-Git: git://git.debian.org/git/collab-maint/pdf-presenter-console.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf-presenter-console.git
