=== debian/rules ===
#!/usr/bin/make -f

build clean install binary-arch binary-indep binary:
	dh $@

override_dh_auto_test:
	echo skipping dh_auto_test as it seems to go into infinite recursion

.PHONY: build clean install binary-arch binary-indep binary

# debian/pdf_presenter_console.1:
# 	help2man --no-info \
# 		 --output=$@ \
# 		debian/pdf-presenter-console/usr/bin/pdf_presenter_console
# 	editor $@
