=== src/CMakeLists.txt ===
--- 
+++ 
@@ -72,20 +72,6 @@
 	endif (NOT IS_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${directory}")
 endmacro(make_compile_directory)
 
-make_compile_directory("classes")
-make_compile_directory("classes/metadata")
-make_compile_directory("classes/renderer")
-make_compile_directory("classes/renderer/cache/simple")
-make_compile_directory("classes/renderer/cache/png")
-make_compile_directory("classes/view")
-make_compile_directory("classes/view/behaviour")
-make_compile_directory("classes/view/behaviour/pdf_link")
-make_compile_directory("classes/window")
-make_compile_directory("interfaces")
-make_compile_directory("interfaces/renderer")
-make_compile_directory("interfaces/view")
-make_compile_directory("interfaces/view/behaviour")
-
 vala_precompile(VALA_C
 	${VALA_SRC}
 PACKAGES 
@@ -96,7 +82,6 @@
 OPTIONS 
 	--thread
 	--debug
-	--vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapis
 GENERATE_HEADER
 	presenter
 GENERATE_VAPI
