=== debian/changelog ===
pdf-presenter-console (2.0-8) unstable; urgency=low

  * bump to dh9
  * bump debian standards
  * change valac dependency for transition (closes: #663317)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Mar 2012 10:49:05 +0000

pdf-presenter-console (2.0-7) unstable; urgency=low

  * poppler 0.18 patch, thanks to David Vilar (closes: #651852)
    also thanks to Martin Pitt <martin.pitt@ubuntu.com> for the ping

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 12 Feb 2012 09:40:39 +0000

pdf-presenter-console (2.0-6) unstable; urgency=low

  * desktop file, thanks to Peter Eisentraut (closes: #648882)
  * update man page

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Nov 2011 09:50:10 +0000

pdf-presenter-console (2.0-5) unstable; urgency=low

  * align stated priority with override (debian/control)
  * silence lintian regarding debian/rules targets
  * single debian patch source option (closes: #643239)
  * link pdf-presenter-console(1) to pdf_presenter_console(1) (closes: #641755)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Oct 2011 22:33:38 +0100

pdf-presenter-console (2.0-4) unstable; urgency=low

  * reverse valac disjunctive dependencies (closes: #609676)
  * bump debian standards

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Jun 2011 14:04:31 +0100

pdf-presenter-console (2.0-3) unstable; urgency=low

  * alias for binary (debian/pdf-presenter-console.links) (closes: #597908)
  
 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 01 Mar 2011 14:52:29 +0000

pdf-presenter-console (2.0-2) unstable; urgency=low

  * priority optional (debian/control)
  * allow valac-0.12 as valac build dependency

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 09 Feb 2011 00:57:39 +0000

pdf-presenter-console (2.0-1) experimental; urgency=low

  * New upstream release (closes: #610251)
  * bump version of valac build dependency (debian/control)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Jan 2011 16:51:21 +0000

pdf-presenter-console (1.1.1+git.02dfcf-3) unstable; urgency=low

  * GNU GPLv2+ in debian/copyright (closes: #609608)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 11 Jan 2011 07:18:39 +0000

pdf-presenter-console (1.1.1+git.02dfcf-2) UNRELEASED; urgency=low

  * move upstream repo info (debian/control, debian/copyright)
  * bump standards version (debian/control)
  * bump valac build-depends to 0.9.7+ per README.rst (debian/control)
  * dh --parallel
  * dh 8

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Nov 2010 21:49:44 +0000
