=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: graphics
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 7.2.5), valac (>= 0.7.8), cmake (>= 2.6.3), libgtk2.0-dev (>= 2.18.3), libpoppler-glib-dev
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 9),
+	       valac-0.14 | valac (>= 0.11.0) | valac-0.12,
+	       cmake (>= 2.6.3),
+	       libgtk2.0-dev (>= 2.18.3),
+	       libpoppler-glib-dev
+Standards-Version: 3.9.3
 Homepage: http://westhoffswelt.de/projects/pdf_presenter_console.html
 Vcs-Git: git://git.debian.org/git/collab-maint/pdf-presenter-console.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf-presenter-console.git
-# X-Upstream-Vcs-Git: git://github.com/jakobwesthoff/Pdf-Presenter-Console.git
-# X-Upstream-Vcs-Browser: http://github.com/jakobwesthoff/Pdf-Presenter-Console
 
 Package: pdf-presenter-console
 Architecture: any
