=== debian/rules ===
#!/usr/bin/make -f

dh_targets=binary binary-arch binary-indep build build-arch build-indep clean install

$(dh_targets) %:
	dh $@ --parallel

override_dh_auto_test:
	echo skipping dh_auto_test as it seems to go into infinite recursion

.PHONY: $(dh_targets)

# debian/pdf_presenter_console.1:
# 	help2man --no-info \
# 		 --output=$@ \
# 		debian/pdf-presenter-console/usr/bin/pdf_presenter_console
# 	editor $@
