=== debian/changelog ===
pdf-presenter-console (3.1-1) unstable; urgency=low

  * Move man page tweak to quilt patch
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Jun 2012 12:13:08 +0100

pdf-presenter-console (3.0-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 18 Jun 2012 16:03:34 +0100

pdf-presenter-console (2.0-9) unstable; urgency=low

  * merge upstream countdown patch
  * allow valac-0.16 (closes: #675661)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 02 Jun 2012 20:37:42 +0100
