## pdf-presenter-console 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 cmake_minimum_required(VERSION 2.6)
 
 SET(CMAKE_BUILD_TYPE "Release")
+
+set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")
 
 # Uncomment this section if you want to compile from vala sources
 #list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Vala_CMake/vala)
@@ -17,8 +19,6 @@
 # ...and comment the following line
 add_subdirectory(c-src)
 
-set(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" CACHE FILEPATH "sysconfdir")
-
 add_subdirectory(icons)
 add_subdirectory(man)
 add_subdirectory(rc)
