=== c-src/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,13 @@
 )
 link_directories(${LIB_PATHS})
 
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/paths.in ${CMAKE_CURRENT_SOURCE_DIR}/paths.c)
+# The files to be configured will be written automatically. In order for the
+# sed call to work properly, there mut be at least one line (may be empty)
+# between the markers.
+# BEGIN_CONFIGURE_FILES
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.in ${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.c)
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/classes/window/presenter.in ${CMAKE_CURRENT_SOURCE_DIR}/classes/window/presenter.c)
+# END_CONFIGURE_FILES
 
 file (GLOB_RECURSE C_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c)
