=== icons/CMakeLists.txt ===
install(FILES
        blank.svg
        snow.svg
        pause.svg
DESTINATION
        share/pixmaps/pdfpc
)
