=== rc/CMakeLists.txt ===
install(FILES
    pdfpcrc
DESTINATION
    ${SYSCONFDIR}
)
