=== debian/changelog ===
pdf-presenter-console (3.1.1-2) unstable; urgency=low

  * Add NoDisplay to .desktop file: filename arg is mandatory (closes: #699829)
  * Remove .mime file; mime information is generated from desktop files
  * Install scalable icon

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 06 Feb 2013 11:36:05 +0000

pdf-presenter-console (3.1.1-1) unstable; urgency=low

  * update debian/watch
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 07 Jul 2012 23:24:48 +0100
