=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 9),
-	       valac-0.14 | valac (>= 0.11.0) | valac-0.12,
+	       valac (>= 0.11.0),
 	       cmake (>= 2.6.3),
+	       librsvg2-dev,
+	       libgee-dev,
 	       libgtk2.0-dev (>= 2.18.3),
 	       libpoppler-glib-dev
 Standards-Version: 3.9.3
