=== debian/changelog ===
pdf-presenter-console (4.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Jun 2015 18:02:27 +0100

pdf-presenter-console (3.1.1+git.2.8a2f105-1) unstable; urgency=medium

  * Upstream snaphot with gstreamer 1.0 support
  * update build dependencies including GStreamer 0.1 to 1.0 (closes: #785863)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 May 2015 12:27:47 +0100

pdf-presenter-console (3.1.1+git.1.5d18a2c-1) unstable; urgency=medium

  * Use upstream snaphot tarball to avoid stray deleted files

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 12 May 2015 10:16:09 +0100

pdf-presenter-console (3.1.1-6) unstable; urgency=medium

  * oops add build dependency on libgstreamer-plugins-base0.10-dev

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 May 2015 15:32:52 +0100

pdf-presenter-console (3.1.1-5) unstable; urgency=medium

  * oops, update gtk build dependency version to 3.0
  * add libgstreamer build dependency
  * remove librsvg build depenedency

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 May 2015 14:35:51 +0100

pdf-presenter-console (3.1.1-4) unstable; urgency=medium

  * build with libgee-0.8-dev not libgee-dev (closes: #753878)
  * merge upstream patches to c85ecfbf dated 16-Apr-2015 (closes: #729052)
    - upstream group maintenance with new epicentre
    - no .c sources, compiles .vala to .c at build time
    - adjust for API change in libgee-0.8-dev
    - many minor and major fixes, like video support
  * Provide: pdfpc, for ecumenical naming and search (closes: 695269)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 May 2015 10:27:47 +0100

pdf-presenter-console (3.1.1-3) unstable; urgency=medium

  * update debian/watch, add pointer to similar Haskell-based program
  * bump standards version, no changes required
  * quilt patch to build with libgee-0.8-dev instead of libgee-dev,
    disabled as it results in a build failure, would close 753878 if it worked.
  * canonicalize repo urls in debian/control

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 04 Feb 2015 22:48:57 +0000
