=== man/CMakeLists.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 install(FILES
     pdfpc.1
 DESTINATION
-    share/man/man1
+    ${MANDIR}
 )
