=== debian/changelog ===
pdf-presenter-console (4.0.2-2) unstable; urgency=medium

  * update homepage (closes: #820477)
  * bump standards version, no changes required
  * merge upstream development branch, with FTBFS fix (closes: #819858)
  * tweak debian/copyright
  * pass hardening flags per
    https://wiki.debian.org/Hardening#Notes_for_packages_using_Vala

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 May 2016 11:05:48 +0100

pdf-presenter-console (4.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 15 Feb 2016 12:21:32 +0000

pdf-presenter-console (4.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Nov 2015 12:28:24 +0000
