=== debian/control ===
Source: pdf-presenter-console
Section: graphics
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
	       valac (>= 0.24),
	       cmake (>= 2.6.3),
	       libgee-0.8-dev,
	       libgtk-3-dev,
	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
	       libpoppler-glib-dev
Standards-Version: 3.9.8
Homepage: https://pdfpc.github.io
Vcs-Git: git://anonscm.debian.org/collab-maint/pdf-presenter-console.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pdf-presenter-console.git

Package: pdf-presenter-console
Provides: pdfpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-monitor presentation tool (ala Keynote) for PDF files
 PPC is a viewer for PDF which uses Keynote-like multi-monitor output
 to provide meta information to the speaker.  It can show a normal
 presentation window on one screen and a more sophisticated overview
 on the other, with information like a picture of the next slide and a
 clock with the time remaining.
