## pdf-presenter-console 4.0.5

=== man/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.in ${CMAKE_CURRENT_SOURCE_DIR}/pdfpc.1)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/pdfpcrc.in ${CMAKE_CURRENT_SOURCE_DIR}/pdfpcrc.5)

install(FILES
    pdfpc.1
    pdfpcrc.5
DESTINATION
    ${MANDIR}
)
