=== debian/changelog ===
pdf-presenter-console (4.0.5-1) unstable; urgency=medium

  * bump to dh10
  * bump standards version
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Jan 2017 14:40:26 +0100

pdf-presenter-console (4.0.4-1) unstable; urgency=medium

  * New upstream release
  * Track upstream bug fixes

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Nov 2016 18:43:48 +0000

pdf-presenter-console (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 13 Oct 2016 10:22:27 +0100
