=== debian/changelog ===
pdf-presenter-console (4.0.6-1) unstable; urgency=medium

  * New upstream release
    - fullscreen margin problems (closes: #854266)
    - solve video resolution vs DPI problem (closes: #854273)
    - sometimes obay loop and showcontrols=false video playback options (closes: #853097)
    - better Wayland support
    - show slide numbers on overview page
    - command line option --page/-P for initial page
    - respect GDK hints about HiDPI screens

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 19 Feb 2017 08:10:14 +0000
