=== icons/CMakeLists.txt ===
install(FILES
    blank.svg
    snow.svg
    pause.svg
    saved.svg
    loaded.svg
DESTINATION
    share/pixmaps/pdfpc
)
