=== man/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,12 @@
 
 install(FILES
     pdfpc.1
+DESTINATION
+    ${MANDIR}/man1
+)
+
+install(FILES
     pdfpcrc.5
 DESTINATION
-    ${MANDIR}
+    ${MANDIR}/man5
 )
