=== debian/changelog ===
pdf-presenter-console (4.0.7-2mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Aug 2017 14:54:40 -0700

pdf-presenter-console (4.0.7-2) unstable; urgency=medium

  * Merge upstream fixes, should address various video bugs

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Jul 2017 11:52:59 +0100

pdf-presenter-console (4.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Jun 2017 09:21:06 +0100
