=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: pdf-presenter-console
 Section: graphics
 Priority: extra
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10),
 	       valac (>= 0.24),
 	       cmake (>= 2.6.3),
@@ -9,7 +11,7 @@
 	       libgtk-3-dev,
 	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 	       libpoppler-glib-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://pdfpc.github.io
 Vcs-Git: git://anonscm.debian.org/collab-maint/pdf-presenter-console.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pdf-presenter-console.git
