=== icons/CMakeLists.txt ===
install(FILES
    blank.svg
    hidden.svg
    snow.svg
    pause.svg
    saved.svg
    loaded.svg
    locked.svg
    highlight.svg
    pen.svg
    eraser.svg
DESTINATION
    share/pixmaps/pdfpc
)
