=== debian/changelog ===
pdf-presenter-console (4.1-2) unstable; urgency=medium

  * Merge minor upstream bug fixes and documentation updates

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 22 Dec 2017 20:39:19 +0000

pdf-presenter-console (4.1-1) unstable; urgency=medium

  * New upstream release
  * Bump policy
  * Bump cmake build dependency version per upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 Nov 2017 09:18:01 +0000

pdf-presenter-console (4.0.8-2) unstable; urgency=medium

  * Merge upstream fix (closes: #855525)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 11 Sep 2017 16:40:41 +0100

pdf-presenter-console (4.0.8-1) unstable; urgency=medium

  * New upstream release
  * Bump policy
  * Secure repo URL
  * Merge minor upstream doc mods

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 31 Aug 2017 10:00:20 +0100
