=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: pdf-presenter-console
 Section: graphics
-Priority: extra
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Priority: optional
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10),
 	       valac (>= 0.24),
-	       cmake (>= 2.6.3),
+	       cmake (>= 3),
 	       libgee-0.8-dev,
 	       libgtk-3-dev,
 	       libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
 	       libpoppler-glib-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://pdfpc.github.io
-Vcs-Git: git://anonscm.debian.org/collab-maint/pdf-presenter-console.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdf-presenter-console.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/pdf-presenter-console.git
 
 Package: pdf-presenter-console
